com.taosdata.jdbc.utils

## Class UInt64Serializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<Long>
  - - com.taosdata.jdbc.utils.UInt64Serializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable

    public class UInt64Serializer
    extends com.fasterxml.jackson.databind.JsonSerializer<Long>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Constructor Summary

Constructors
Constructor and Description
`UInt64Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serialize(Long value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UInt64Serializer

    public UInt64Serializer()

### Method Detail

#### serialize

    public void serialize(Long value,
                          com.fasterxml.jackson.core.JsonGenerator gen,
                          com.fasterxml.jackson.databind.SerializerProvider serializers)
                   throws IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<Long>`
Throws:
  `IOException`